<template>
  <!-- Installer -->
  <div class="banner-grey port installer">
    <h2 class="mb-2 mb-3" title="Guidelines to install Linux phone">
      How to install Ubuntu Touch OS
    </h2>
    <p>
      You can install Ubuntu Touch on this device using the UBports Installer on
      your computer. <br /><span class="bold"
        >Unless device specific instructions are provided</span
      >
      by the porter, please follow these general steps:
    </p>
    <ol class="pl-4">
      <li>
        Unlock the bootloader, please search the internet for instructions
      </li>
      <li>Install the required Android/stock rom version ¹</li>
      <li>Select the appropriate installer package for your computer</li>
      <li>Plug in your device and follow the on-screen instructions</li>
      <li>The installer will take it from there</li>
    </ol>
    <p>
      ¹ Devices generally require a specific version of Android/stock rom to be
      installed. This depends on the halium version the port is build on. For
      example, if the port is based on halium 9, make sure you have Android
      version 9 installed
      <span class="text-orange"> before running the installer</span>.
    </p>
    <h3 class="mt-5">Linux</h3>
    <div class="btns mt-3">
      <!-- Linux Snap -->
      <a class="btn btn-download" href="/installer/snap">
        <g-image
          class="dark-invert-40 system-icon"
          src="~/assets/img/installer/linux.svg"
          alt="linux-img"
        />
        <div>
          <p class="bold">Linux</p>
          <p class="small">snap (try me first)</p>
        </div>
        <g-image
          class="dark-invert-40 download-icon"
          src="~/assets/img/installer/download.svg"
          alt="download-icon"
        />
      </a>
      <!-- Ubuntu -->
      <a class="btn btn-download" href="/installer/deb">
        <g-image
          class="dark-invert-40 system-icon"
          src="~/assets/img/installer/ubuntu.svg"
          alt="ubuntu-img"
        />
        <div>
          <p class="bold">Ubuntu</p>
          <p class="small">deb (64)</p>
        </div>
        <g-image
          class="dark-invert-40 download-icon"
          src="~/assets/img/installer/download.svg"
          alt="download-icon"
        />
      </a>

      <!-- Linux AppImage -->
      <a class="btn btn-download" href="/installer/appimage">
        <g-image
          class="dark-invert-40 system-icon"
          src="~/assets/img/installer/appimage.svg"
          alt="appimage-img"
        />
        <div>
          <p class="bold">AppImage</p>
          <p class="small">x86</p>
        </div>
        <g-image
          class="dark-invert-40 download-icon"
          src="~/assets/img/installer/download.svg"
          alt="download-icon"
        />
      </a>
    </div>
    <h3 class="mt-5">Mac & Windows</h3>

    <div class="btns mt-3">
      <!-- Mac -->
      <a class="btn btn-download" href="/installer/dmg">
        <g-image
          class="dark-invert-40 system-icon"
          src="~/assets/img/installer/mac.svg"
          alt="mac-img"
        />
        <div>
          <p class="bold">Mac</p>
          <p class="small">dmg x64</p>
        </div>
        <g-image
          class="dark-invert-40 download-icon"
          src="~/assets/img/installer/download.svg"
          alt="download-icon"
        />
      </a>

      <!-- Windows -->
      <a class="btn btn-download" href="/installer/exe">
        <g-image
          class="dark-invert-40 system-icon"
          src="~/assets/img/installer/win.svg"
          alt="win-img"
        />
        <div>
          <p class="bold">Windows</p>
          <p class="small">exe x86</p>
        </div>
        <g-image
          class="dark-invert-40 download-icon"
          src="~/assets/img/installer/download.svg"
          alt="download-icon"
        />
      </a>
    </div>

    <h3 class="h4 mt-5 mb-3">Failed to install?</h3>
    <p>
      The world hasn't come to its end yet.
      <a href="https://t.me/ut_troubleshooting" target="_blank">
        Try our <span class="underline">troubleshooting</span></a
      >
      channel on telegram group or
      <a
        href="https://github.com/ubports/ubports-installer/releases"
        target="_blank"
      >
        try <span class="underline">older versions</span></a
      >
      of the installer if the problem keeps occurring. Lastly, you can guide
      throught the problem with our
      <a class="underline" href="http://t.me/WelcomePlus/" target="_blank"
        >support team.</a
      >
      Good luck!
    </p>
  </div>
</template>

<script>
export default {
  name: "InstallerBanner"
};
</script>
